Subject: bug#66058: closed (Re: bug#66058: [Emacs Android] <text-conversion> is undefined)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 18 Sep 2023 00:43:02 +0000

Your bug report

#66058: [Emacs Android] <text-conversion> is undefined

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66058: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66058
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#66058: [Emacs Android] <text-conversion> is undefined
From: Po Lu <[email-masked]>
To: Pierre Ayoub <[email-masked]>
Cc: [email-masked]
Date: Mon, 18 Sep 2023 08:42:31 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Pierre Ayoub <[email-masked]> writes:

> Hi maintainers.
>
> I'm using the latest Android port of Emacs downloaded from F-Droid. When
> typing a keybinding with a regular character without precedence of a
> special key, I got the `<text-conversion> is undefined` error. I tried
> several keyboards (AOSP Keyboard, GBoard, Hacker Keyboard, BehHe
> Keyboard, Unexpected Keyboard) but always got the same bug. For example:
>
> C-x C-f is perfectly working since there is two regular characters each
> one preceded by a special key. C-h k is not working since I get the
> following error because of the k which is not preceded by a special key
> like C or M: `C-h <text-conversion> is undefined`.
>
> - Phone: Google Pixel 6a
> - Android: 13
> - Distribution: LineageOS 20-20230903
> - Emacs: v30.0.50 (build 1, aarch64-unknown-linux-android22) of
>   2023-09-16.
>
> I don't know how to deal with it. Let me know if I can help.
>
> Cheers,
> Pierre

The release of Emacs on F-Droid is compiled from a snapshot of the
Android port from mid-February.  It is severely out of date.

Your problem was fixed shortly thereafter, and routinely updated
pre-builts can be retrieved from:

  https://sourceforge.net/projects/android-ports-for-gnu-emacs/

Closing.

Subject: [Emacs Android] <text-conversion> is undefined
From: Pierre Ayoub <[email-masked]>
To: [email-masked]
Date: Sun, 17 Sep 2023 19:19:08 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi maintainers.

I'm using the latest Android port of Emacs downloaded from F-Droid. When
typing a keybinding with a regular character without precedence of a
special key, I got the `<text-conversion> is undefined` error. I tried
several keyboards (AOSP Keyboard, GBoard, Hacker Keyboard, BehHe
Keyboard, Unexpected Keyboard) but always got the same bug. For example:

C-x C-f is perfectly working since there is two regular characters each
one preceded by a special key. C-h k is not working since I get the
following error because of the k which is not preceded by a special key
like C or M: `C-h <text-conversion> is undefined`.

- Phone: Google Pixel 6a
- Android: 13
- Distribution: LineageOS 20-20230903
- Emacs: v30.0.50 (build 1, aarch64-unknown-linux-android22) of
  2023-09-16.

I don't know how to deal with it. Let me know if I can help.

Cheers,
Pierre